using System;
using System.Collections.Generic;
using System.Text;

namespace Utils.Logs.Event
{
    /// <summary>
    /// Represents the method that will handle an event that has no event data.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    public delegate void FileChangedEventHandler(object sender, FileChangedEventArgs e);
    /// <summary>
    /// LogSet Event
    /// </summary>
    public class FileChangedEventArgs
    {
        #region Variables
        /// <summary>
        /// Indicates the time of the last change in file
        /// </summary>
        private DateTime vDateTimeOfChange = new DateTime();

        /// <summary>
        /// Indicates the time of the event thrown
        /// </summary>
        private DateTime vDateTimeOfEvent = new DateTime();
        #endregion

        #region Properties
        /// <summary>
        /// Indicates the time of the event thrown
        /// </summary>
        public DateTime DateTimeOfEvent
        {
            get { return vDateTimeOfEvent; }
            set { vDateTimeOfEvent = value; }
        }
        /// <summary>
        /// Indicates the time of the last change in file
        /// </summary>
        public DateTime DateTimeOfChange
        {
            get { return vDateTimeOfChange; }
            set { vDateTimeOfChange = value; }
        }
        #endregion
    }
}
